Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyDataToPolyDataFilter Class Reference

`#include <vtkPolyDataToPolyDataFilter.h>`

Inheritance diagram for vtkPolyDataToPolyDataFilter:

[legend]
Collaboration diagram for vtkPolyDataToPolyDataFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.23

vtkPolyDataToPolyDataFilter is an abstract filter class whose subclasses take as input polygonal data and generate polygonal data on output.

See also:
  vtkCleanPolyData vtkDecimate vtkFeatureEdges vtkFeatureVertices vtkMaskPolyData vtkPolyDataNormals vtkSmoothPolyDataFilter vtkStripper vtkTransformPolyDataFilter vtkTriangleFilter vtkTubeFilter vtkLinearExtrusionFilter vtkRibbonFilter vtkRotationalExtrusionFilter vtkShrinkPolyData

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (59%)
  - Cedilnik, Andy (14%)
  - Lorensen, Bill (10%)
  - Martin, Ken (9%)
  - Biddiscombe, John (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkPolyDataToPolyDataFilter.cxx)`
  - .`h` (`/Filtering/vtkPolyDataToPolyDataFilter.h)`

Definition at line 54 of file vtkPolyDataToPolyDataFilter.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkPolyData *input)
vtkPolyData * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPolyDataToPolyDataFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPolyDataToPolyDataFilter ()
| ~vtkPolyDataToPolyDataFilter ()

## Member Typedef Documentation

typedef vtkPolyDataSource vtkPolyDataToPolyDataFilter::Superclass

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkAppendPolyData, vtkApproximatingSubdivisionFilter, vtkBandedPolyDataContourFilter, vtkButterflySubdivisionFilter, vtkCleanPolyData, vtkClipPolyData, vtkCurvatures, vtkDecimatePro, vtkExtractPolyDataGeometry, vtkFeatureEdges, vtkGraphLayoutFilter, vtkHull, vtkInterpolatingSubdivisionFilter, vtkLinearExtrusionFilter, vtkLinearSubdivisionFilter, vtkLoopSubdivisionFilter, vtkMaskPolyData, vtkPolyDataConnectivityFilter, vtkPolyDataNormals, vtkPolyDataStreamer, vtkQuadricClustering, vtkQuadricDecimation, vtkQuantizePolyDataPoints, vtkReverseSense, vtkRibbonFilter, vtkRotationalExtrusionFilter, vtkRuledSurfaceFilter, vtkSelectPolyData, vtkShrinkPolyData, vtkSmoothPolyDataFilter, vtkSplineFilter, vtkStripper, vtkSubPixelPositionEdgels, vtkTransformPolyDataFilter, vtkTriangleFilter, vtkTriangularTCoords, vtkTubeFilter, vtkVoxelContoursToSurfaceFilter, vtkWindowedSincPolyDataFilter, vtkArcPlotter, vtkDepthSortPolyData, vtkGLUTesselatorTriangleFilter, vtkCollectPolyData, vtkExtractPolyDataPiece, vtkPLinearExtrusionFilter, vtkPPolyDataNormals, vtkTransmitPolyDataPiece, and vtkDecimate. Definition at line 57 of file vtkPolyDataToPolyDataFilter.h.

## Constructor & Destructor Documentation

vtkPolyDataToPolyDataFilter::vtkPolyDataToPolyDataFilter | ( |  | ) | `[protected]`

vtkPolyDataToPolyDataFilter::~vtkPolyDataToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 68 of file vtkPolyDataToPolyDataFilter.h.

## Member Function Documentation

virtual const char* vtkPolyDataToPolyDataFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkAppendPolyData, vtkApproximatingSubdivisionFilter, vtkBandedPolyDataContourFilter, vtkButterflySubdivisionFilter, vtkCleanPolyData, vtkClipPolyData, vtkCurvatures, vtkDecimatePro, vtkExtractPolyDataGeometry, vtkFeatureEdges, vtkGraphLayoutFilter, vtkHull, vtkInterpolatingSubdivisionFilter, vtkLinearExtrusionFilter, vtkLinearSubdivisionFilter, vtkLoopSubdivisionFilter, vtkMaskPolyData, vtkPolyDataConnectivityFilter, vtkPolyDataNormals, vtkPolyDataStreamer, vtkQuadricClustering, vtkQuadricDecimation, vtkQuantizePolyDataPoints, vtkReverseSense, vtkRibbonFilter, vtkRotationalExtrusionFilter, vtkRuledSurfaceFilter, vtkSelectPolyData, vtkShrinkPolyData, vtkSmoothPolyDataFilter, vtkSplineFilter, vtkStripper, vtkSubPixelPositionEdgels, vtkTransformPolyDataFilter, vtkTriangleFilter, vtkTriangularTCoords, vtkTubeFilter, vtkVoxelContoursToSurfaceFilter, vtkWindowedSincPolyDataFilter, vtkArcPlotter, vtkDepthSortPolyData, vtkGLUTesselatorTriangleFilter, vtkCollectPolyData, vtkExtractPolyDataPiece, vtkPLinearExtrusionFilter, vtkPPolyDataNormals, vtkTransmitPolyDataPiece, and vtkDecimate.

int vtkPolyDataToPolyDataFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkAppendPolyData, vtkApproximatingSubdivisionFilter, vtkBandedPolyDataContourFilter, vtkButterflySubdivisionFilter, vtkCleanPolyData, vtkClipPolyData, vtkCurvatures, vtkDecimatePro, vtkExtractPolyDataGeometry, vtkFeatureEdges, vtkGraphLayoutFilter, vtkHull, vtkInterpolatingSubdivisionFilter, vtkLinearExtrusionFilter, vtkLinearSubdivisionFilter, vtkLoopSubdivisionFilter, vtkMaskPolyData, vtkPolyDataConnectivityFilter, vtkPolyDataNormals, vtkPolyDataStreamer, vtkQuadricClustering, vtkQuadricDecimation, vtkQuantizePolyDataPoints, vtkReverseSense, vtkRibbonFilter, vtkRotationalExtrusionFilter, vtkRuledSurfaceFilter, vtkSelectPolyData, vtkShrinkPolyData, vtkSmoothPolyDataFilter, vtkSplineFilter, vtkStripper, vtkSubPixelPositionEdgels, vtkTransformPolyDataFilter, vtkTriangleFilter, vtkTriangularTCoords, vtkTubeFilter, vtkVoxelContoursToSurfaceFilter, vtkWindowedSincPolyDataFilter, vtkArcPlotter, vtkDepthSortPolyData, vtkGLUTesselatorTriangleFilter, vtkCollectPolyData, vtkExtractPolyDataPiece, vtkPLinearExtrusionFilter, vtkPPolyDataNormals, vtkTransmitPolyDataPiece, and vtkDecimate.

virtual int vtkPolyDataToPolyDataFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkAppendPolyData, vtkApproximatingSubdivisionFilter, vtkBandedPolyDataContourFilter, vtkButterflySubdivisionFilter, vtkCleanPolyData, vtkClipPolyData, vtkCurvatures, vtkDecimatePro, vtkExtractPolyDataGeometry, vtkFeatureEdges, vtkGraphLayoutFilter, vtkHull, vtkInterpolatingSubdivisionFilter, vtkLinearExtrusionFilter, vtkLinearSubdivisionFilter, vtkLoopSubdivisionFilter, vtkMaskPolyData, vtkPolyDataConnectivityFilter, vtkPolyDataNormals, vtkPolyDataStreamer, vtkQuadricClustering, vtkQuadricDecimation, vtkQuantizePolyDataPoints, vtkReverseSense, vtkRibbonFilter, vtkRotationalExtrusionFilter, vtkRuledSurfaceFilter, vtkSelectPolyData, vtkShrinkPolyData, vtkSmoothPolyDataFilter, vtkSplineFilter, vtkStripper, vtkSubPixelPositionEdgels, vtkTransformPolyDataFilter, vtkTriangleFilter, vtkTriangularTCoords, vtkTubeFilter, vtkVoxelContoursToSurfaceFilter, vtkWindowedSincPolyDataFilter, vtkArcPlotter, vtkDepthSortPolyData, vtkGLUTesselatorTriangleFilter, vtkCollectPolyData, vtkExtractPolyDataPiece, vtkPLinearExtrusionFilter, vtkPPolyDataNormals, vtkTransmitPolyDataPiece, and vtkDecimate.

vtkPolyDataToPolyDataFilter* vtkPolyDataToPolyDataFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkAppendPolyData, vtkApproximatingSubdivisionFilter, vtkBandedPolyDataContourFilter, vtkButterflySubdivisionFilter, vtkCleanPolyData, vtkClipPolyData, vtkCurvatures, vtkDecimatePro, vtkExtractPolyDataGeometry, vtkFeatureEdges, vtkGraphLayoutFilter, vtkHull, vtkInterpolatingSubdivisionFilter, vtkLinearExtrusionFilter, vtkLinearSubdivisionFilter, vtkLoopSubdivisionFilter, vtkMaskPolyData, vtkPolyDataConnectivityFilter, vtkPolyDataNormals, vtkPolyDataStreamer, vtkQuadricClustering, vtkQuadricDecimation, vtkQuantizePolyDataPoints, vtkReverseSense, vtkRibbonFilter, vtkRotationalExtrusionFilter, vtkRuledSurfaceFilter, vtkSelectPolyData, vtkShrinkPolyData, vtkSmoothPolyDataFilter, vtkSplineFilter, vtkStripper, vtkSubPixelPositionEdgels, vtkTransformPolyDataFilter, vtkTriangleFilter, vtkTriangularTCoords, vtkTubeFilter, vtkVoxelContoursToSurfaceFilter, vtkWindowedSincPolyDataFilter, vtkArcPlotter, vtkDepthSortPolyData, vtkGLUTesselatorTriangleFilter, vtkCollectPolyData, vtkExtractPolyDataPiece, vtkPLinearExtrusionFilter, vtkPPolyDataNormals, vtkTransmitPolyDataPiece, and vtkDecimate.

void vtkPolyDataToPolyDataFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource. Reimplemented in vtkAppendPolyData, vtkApproximatingSubdivisionFilter, vtkBandedPolyDataContourFilter, vtkCleanPolyData, vtkClipPolyData, vtkCurvatures, vtkDecimatePro, vtkExtractPolyDataGeometry, vtkFeatureEdges, vtkGraphLayoutFilter, vtkHull, vtkInterpolatingSubdivisionFilter, vtkLinearExtrusionFilter, vtkMaskPolyData, vtkPolyDataConnectivityFilter, vtkPolyDataNormals, vtkPolyDataStreamer, vtkQuadricClustering, vtkQuadricDecimation, vtkQuantizePolyDataPoints, vtkReverseSense, vtkRibbonFilter, vtkRotationalExtrusionFilter, vtkRuledSurfaceFilter, vtkSelectPolyData, vtkShrinkPolyData, vtkSmoothPolyDataFilter, vtkSplineFilter, vtkStripper, vtkSubPixelPositionEdgels, vtkTransformPolyDataFilter, vtkTriangleFilter, vtkTriangularTCoords, vtkTubeFilter, vtkVoxelContoursToSurfaceFilter, vtkWindowedSincPolyDataFilter, vtkArcPlotter, vtkDepthSortPolyData, vtkGLUTesselatorTriangleFilter, vtkCollectPolyData, vtkExtractPolyDataPiece, vtkPLinearExtrusionFilter, vtkPPolyDataNormals, vtkTransmitPolyDataPiece, and vtkDecimate.

virtual void vtkPolyDataToPolyDataFilter::SetInput | ( | vtkPolyData * | input | ) | `[virtual]`

| Set / get the input data or filter.

vtkPolyData* vtkPolyDataToPolyDataFilter::GetInput | ( |  | ) |

| Set / get the input data or filter. Reimplemented in vtkAppendPolyData. Referenced by vtkAppendPolyData::GetInput().

The documentation for this class was generated from the following file:

- Filtering/vtkPolyDataToPolyDataFilter.h